%define oname   mysql

Name:       ruby-%{oname}
Version:    2.8.1
Release:    %mkrel 11
Summary:    This is the MySQL API module for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://mysql-win.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: mysql-devel
BuildRequires: mysql
Requires:   ruby(abi) = 1.8

%description
This is the MySQL API module for Ruby. It provides the same functions for
Ruby
programs that the MySQL C API provides for C programs.
This is a conversion of tmtm's original extension into a proper RubyGems.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/mysql_api.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
mysql_install_db --datadir=$PWD/var/lib/mysql/ --user=$USER
/usr/sbin/mysqld --datadir=$PWD/var/lib/mysql \
  --socket $PWD/var/lib/mysql.sock \
  --pid-file $PWD/var/lib/mysqld.pid &
export MYSQL_SOCK=$PWD/var/lib/mysql.sock
sleep 10
ruby -I%{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/ \
 -I%{buildroot}%{ruby_sitearchdir} test/test_mysql.rb
kill `cat $PWD/var/lib/mysqld.pid`

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 2.8.1-11.mga1
+ Revision: 82549
- rebuild for new mysql

* Thu Mar 24 2011 dmorgan <dmorgan> 2.8.1-10.mga1
+ Revision: 77050
- Rebuild against new mysql

* Tue Jan 25 2011 shikamaru <shikamaru> 2.8.1-9.mga1
+ Revision: 39603
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.8.1-8.mga1
+ Revision: 34797
- Start a mysql instance for the test
  FIXME: the sleep time is arbitrary
- imported package ruby-mysql


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 2.8.1-8mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Add check section

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-7mdv2011.0
+ Revision: 627286
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-6mdv2011.0
+ Revision: 626560
- rebuilt against mysql-5.5.8 libs

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 2.8.1-4mdv2011.0
+ Revision: 623457
- Package as a gem
- fix License
- fix Requires
- use %%gem_macros
- update file list
- update URLs

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-3mdv2011.0
+ Revision: 614744
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-2mdv2010.1
+ Revision: 507508
- rebuild

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.1-1mdv2010.0
+ Revision: 402813
- update to new version 2.8.1

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 2.8-2mdv2009.1
+ Revision: 323120
- update license

* Thu Jan 01 2009 Funda Wang <fwang@mandriva.org> 2.8-1mdv2009.1
+ Revision: 323080
- New version 2.8

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.7.6-2mdv2009.1
+ Revision: 311343
- rebuilt against mysql-5.1.30 libs

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.7.6-1mdv2009.0
+ Revision: 280667
- New Release

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.7.1-2mdv2008.1
+ Revision: 140755
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 2.7.1-2mdv2008.0
+ Revision: 16895
- Use Development/Ruby group
- Use std macros


* Sat Jun 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.7.1-1mdv2007.0
- New release 2.7.1
- Add URL in Source

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.7-2mdk
- rebuilt against MySQL-5.0.15

* Fri Sep 02 2005 Pascal Terjan <pterjan@mandriva.org> 2.7-1mdk
* Tue Aug 02 2005 Pascal Terjan <pterjan@mandrake.org> 2.6.3-1mdk
- 2.6.3

* Tue Apr 26 2005 Pascal Terjan <pterjan@mandrake.org> 2.6-1mdk
- 2.6.1

* Fri Apr 01 2005 Pascal Terjan <pterjan@mandrake.org> 2.5-3mdk
- lib64 fix

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5-2mdk
- rebuilt against new mysql libs

* Wed Sep 08 2004 Pascal Terjan <pterjan@mandrake.org> 2.5-1mdk 
- first mdk release

